Get oracle state
Latest indexed state of an oracle: quote, onchain update timestamp, and indexed block.
Path Parameters
oracle-selector*string
Selector formatted as <chain_id>:<oracle_address>. Example: 1:0x2a01EB9496094dA03c4E364Def50f5aD1280AD72.
Format
<chain_id>:<oracle_address>Response Body
application/json
curl -X GET "https://example.com/v0/oracles/1:0x2a01EB9496094dA03c4E364Def50f5aD1280AD72/state"{ "data": { "chain_id": 1, "last_indexed_block": "19700042", "last_updated_at": "1717000100", "oracle_address": "0x2a01EB9496094dA03c4E364Def50f5aD1280AD72", "price": "1150750000000000000000000000000000000" }}GETList user V1 vault positions
Cursor-paginated discovery list of Morpho Vault V1 positions held by a user across exposed chains, including unlisted vaults.
GETGet block timestamp
The hash and unix timestamp of a block, identified by its number on a given chain. GET /v0/blocks/{block-selector}/timestamp.